import type { DatePickerTruncationUnit, DatePickerValue, RelativeDatePickerValue, RelativeIntervalDirection } from "../types";
import type { DateIntervalValue, DateOffsetIntervalValue } from "./types";
export declare function isRelativeValue(value?: DatePickerValue): value is RelativeDatePickerValue;
export declare function isIntervalValue(value: RelativeDatePickerValue): value is DateIntervalValue;
export declare function isOffsetIntervalValue(value: RelativeDatePickerValue): value is DateOffsetIntervalValue;
export declare function getDirectionDefaultValue(direction: RelativeIntervalDirection): RelativeDatePickerValue;
export declare function getDirection(value: RelativeDatePickerValue): RelativeIntervalDirection;
export declare function setDirection(value: RelativeDatePickerValue, direction: RelativeIntervalDirection, fallbackUnit?: DatePickerTruncationUnit): RelativeDatePickerValue;
export declare function setDirectionAndCoerceUnit(value: RelativeDatePickerValue, direction: RelativeIntervalDirection): RelativeDatePickerValue;
export declare function getInterval(value: DateIntervalValue): number;
export declare function setInterval(value: DateIntervalValue, interval: number): DateIntervalValue;
export declare function getUnitOptions(value: DateIntervalValue): {
    value: "year" | "minute" | "hour" | "day" | "quarter" | "week" | "month";
    label: string;
}[];
export declare function formatDateRange({ value, unit, offsetValue, offsetUnit, options, }: RelativeDatePickerValue): string;
